version: '3.4'

name: "test-your-skills"

services:
  testyourskills.web:
    container_name: testyourskills.web
    restart: always
    environment:
      - DataDirectory=data
      - ConnectionStrings__DataConnection=Data source=/app/data/data.db
      - ConnectionStrings__IdentityConnection=Data source=/app/data/identity.db
      - ConnectionStrings__Redis=testyourskills.redis
      - UsersConfig__Admin__UserName=admin
      - UsersConfig__Admin__Password=secret
      - UsersConfig__Admin__DisplayName=Admin
      - UsersConfig__Admin__Role=Admin
      - UsersConfig__Redactor__UserName=redactor
      - UsersConfig__Redactor__Password=secret
      - UsersConfig__Redactor__DisplayName=Redactor
      - UsersConfig__Redactor__Role=Redactor
    ports:
      - "9800:80"
      - "9801:443"
    volumes:
      - web-data:/app/data
        
  testyourskills.redis:
    container_name: redis-testyourskills
    restart: always
    ports:
      - "6379:6379"
    volumes:
      - redis-data:/data
       
  testyourskills.redis-commander:
    container_name: redis-commander-testyourskills
    restart: always
    environment:
      - REDIS_HOSTS=local:testyourskills.redis:6379
      - HTTP_USER=root
      - HTTP_PASSWORD=secret
    ports:
      - "9802:8081"